clear @p
data merge block -15 130 1 {Text1:"",Text2:"{\"text\":\"Unlocked until\",\"color\":\"green\"}",Text3:"[\"\",{\"text\":\"Level \",\"color\":\"green\"},{\"score\":{\"name\":\"game\",\"objective\":\"maxlevel\"},\"bold\":true,\"color\":\"green\"}]"}
effect clear @p levitation
setblock 2 4 8 air
execute as @p at @s if score game simu matches 1 run tp @p ~ ~-22 ~
scoreboard players set game simu 0
scoreboard players set game red 0
scoreboard players set game orange 0
scoreboard players set game yellow 0
scoreboard players set game green 0
scoreboard players set game cyan 0
scoreboard players set game blue 0
scoreboard players set game purple 0
scoreboard players set game magenta 0
setblock 8 4 12 redstone_block
title @a times 20 20 20

effect clear @p saturation
effect give @p saturation 1000000 100 true
effect clear @p regeneration
effect give @p regeneration 1000000 100 true




scoreboard players set game gravity 0
scoreboard players set game slowfalling 0
effect clear @p levitation
kill @e[name=stone]
kill @e[name=telep]

execute at @e[name=box] run setblock ~ ~ ~ white_shulker_box
execute at @e[name=box] positioned ~ ~22 ~ run setblock ~ ~ ~ lime_shulker_box

execute at @e[name=virtual] run setblock ~ ~-22 ~ air
kill @e[name=virtual]
stopsound @a block minecraft:block.artificialblock

#reset levels
setblock 87 10 10 lever[face=wall,facing=west,powered=false]
setblock 90 10 10 sand

setblock 102 9 70 lever[face=floor,facing=south,powered=false]
setblock 102 7 71 sand

setblock 129 12 85 lever[face=wall,facing=west,powered=false]
setblock 131 12 84 sand

kill @e[name=object]
summon armor_stand 36.60 12.74 66.10 {NoGravity:1b,Invulnerable:1b,Invisible:1b,PersistenceRequired:1b,Pose:{RightArm:[83f,0f,270f]},DisabledSlots:4144702,Rotation:[-180F,0F],HandItems:[{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{display:{Name:"{\"text\":\"Switch To Base\",\"color\":\"green\",\"bold\":true,\"italic\":false}"},HideFlags:4,Unbreakable:1b,Damage:1}},{}],CustomName:"{\"text\":\"object\"}"}
setblock 14 11 66 lever[face=wall,facing=north,powered=false]
setblock 15 9 67 air
setblock 15 9 67 white_concrete

setblock 9 13 66 lever[face=wall,facing=north,powered=false]
setblock 8 11 67 air
setblock 8 11 67 white_concrete

execute if score game level matches ..25 run scoreboard players set game maxblocks 1

#tp player
execute if score game level matches 1 run tp @p 28 9 32
execute if score game level matches 1 run title @a title {"text":"Level 1","color":"green"}
execute if score game level matches 1 run title @a subtitle {"text":"Baby steps"}

execute if score game level matches 2 run tp @p 39 9 19
execute if score game level matches 2 run title @a title {"text":"Level 2","color":"green"}
execute if score game level matches 2 run title @a subtitle {"text":"Baby jumps"}

execute if score game level matches 3 run tp @p 67 9 13
execute if score game level matches 3 run title @a title {"text":"Level 3","color":"green"}
execute if score game level matches 3 run title @a subtitle {"text":"The key to success"}

execute if score game level matches 4 run tp @p 76 9 21
execute if score game level matches 4 run title @a title {"text":"Level 4","color":"green"}
execute if score game level matches 4 run title @a subtitle {"text":"Might need a keychain"}

execute if score game level matches 5 run tp @p 67 9 21
execute if score game level matches 5 run title @a title {"text":"Level 5","color":"green"}
execute if score game level matches 5 run title @a subtitle {"text":"The red pill"}

execute if score game level matches 6 run tp @p 77 9 33
execute if score game level matches 6 run title @a title {"text":"Level 6","color":"green"}
execute if score game level matches 6 run title @a subtitle {"text":"Phaser"}

execute if score game level matches 7 run tp @p 114 9 33
execute if score game level matches 7 run title @a title {"text":"Level 7","color":"green"}
execute if score game level matches 7 run title @a subtitle {"text":"Freaky jumps"}

execute if score game level matches 8 run tp @p 131 9 52
execute if score game level matches 8 run title @a title {"text":"Level 8","color":"green"}
execute if score game level matches 8 run title @a subtitle {"text":"Slide in"}

execute if score game level matches 9 run tp @p 88 9 58
execute if score game level matches 9 run title @a title {"text":"Level 9","color":"green"}
execute if score game level matches 9 run title @a subtitle {"text":"Twists and turns"}

execute if score game level matches 10 run tp @p 92 8 97
execute if score game level matches 10 run title @a title {"text":"Level 10","color":"green"}
execute if score game level matches 10 run title @a subtitle {"text":"Agoraphobia"}

execute if score game level matches 11 run tp @p 73 9 74
execute if score game level matches 11 run title @a title {"text":"Level 11","color":"yellow"}
execute if score game level matches 11 run title @a subtitle {"text":"Glitchy programming"}

execute if score game level matches 12 run tp @p 55 9 55
execute if score game level matches 12 run title @a title {"text":"Level 12","color":"yellow"}
execute if score game level matches 12 run title @a subtitle {"text":"Elevation"}

execute if score game level matches 13 run tp @p 30 9 41
execute if score game level matches 13 run title @a title {"text":"Level 13","color":"yellow"}
execute if score game level matches 13 run title @a subtitle {"text":"Buggy blocks"}

execute if score game level matches 14 run tp @p 39 13 88
execute if score game level matches 14 run title @a title {"text":"Level 14","color":"yellow"}
execute if score game level matches 14 run title @a subtitle {"text":"Rapid Switch"}

execute if score game level matches 15 run tp @p 6 10 92
execute if score game level matches 15 run title @a title {"text":"Level 15","color":"yellow"}
execute if score game level matches 15 run title @a subtitle {"text":"Back and Forth"}

execute if score game level matches 16 run tp @p 0 10 80
execute if score game level matches 16 run title @a title {"text":"Level 16","color":"yellow"}
execute if score game level matches 16 run title @a subtitle {"text":"Floating"}

execute if score game level matches 17 run tp @p -50 10 77
execute if score game level matches 17 run title @a title {"text":"Level 17","color":"yellow"}
execute if score game level matches 17 run title @a subtitle {"text":"Long way"}

execute if score game level matches 18 run tp @p -63 10 70
execute if score game level matches 18 run title @a title {"text":"Level 18","color":"yellow"}
execute if score game level matches 18 run title @a subtitle {"text":"Upwards"}

execute if score game level matches 19 run tp @p -26 10 74
execute if score game level matches 19 run title @a title {"text":"Level 19","color":"yellow"}
execute if score game level matches 19 run title @a subtitle {"text":"Sticks and stones"}

execute if score game level matches 20 run tp @p -39 10 57
execute if score game level matches 20 run title @a title {"text":"Level 20","color":"yellow"}
execute if score game level matches 20 run title @a subtitle {"text":"Falling down"}

execute if score game level matches 21 run tp @p -56 10 25
execute if score game level matches 21 run title @a title {"text":"Level 21","color":"aqua"}
execute if score game level matches 21 run title @a subtitle {"text":"Teleportation"}

execute if score game level matches 22 run tp @p -46 10 18
execute if score game level matches 22 run title @a title {"text":"Level 22","color":"aqua"}
execute if score game level matches 22 run title @a subtitle {"text":"Rising"}

execute if score game level matches 23 run tp @p -36 7 -15
execute if score game level matches 23 run title @a title {"text":"Level 23","color":"aqua"}
execute if score game level matches 23 run title @a subtitle {"text":"Bad Blocks"}

execute if score game level matches 24 run tp @p -29 7 -64
execute if score game level matches 24 run title @a title {"text":"Level 24","color":"aqua"}
execute if score game level matches 24 run title @a subtitle {"text":"Gravitating"}

execute if score game level matches 25 run tp @p -8 7 -59
execute if score game level matches 25 run title @a title {"text":"Level 25","color":"aqua"}
execute if score game level matches 25 run title @a subtitle {"text":"High Rise"}

execute if score game level matches 26 run tp @p 31 7 -46
execute if score game level matches 26 run title @a title {"text":"Level 26","color":"aqua"}
execute if score game level matches 26 run title @a subtitle {"text":"Many blocks"}
execute if score game level matches 26 run scoreboard players set game maxblocks 2

execute if score game level matches 27 run tp @p 42 7 -28
execute if score game level matches 27 run title @a title {"text":"Level 27","color":"aqua"}
execute if score game level matches 27 run title @a subtitle {"text":"Triple blocks"}
execute if score game level matches 27 run scoreboard players set game maxblocks 3

execute if score game level matches 28 run tp @p 87 7 -52
execute if score game level matches 28 run title @a title {"text":"Level 28","color":"aqua"}
execute if score game level matches 28 run title @a subtitle {"text":"Deposit"}
execute if score game level matches 28 run scoreboard players set game maxblocks 1

execute if score game level matches 29 run tp @p 97 8 -12
execute if score game level matches 29 run title @a title {"text":"Level 29","color":"aqua"}
execute if score game level matches 29 run title @a subtitle {"text":"Multi-purpose"}
execute if score game level matches 29 run scoreboard players set game maxblocks 1

execute if score game level matches 30 run tp @p -88 10 26
execute if score game level matches 30 run title @a title {"text":"Level 30","color":"aqua","bold":true}
execute if score game level matches 30 run title @a subtitle {"text":"The Final Level"}
execute if score game level matches 30 run scoreboard players set game maxblocks 3

#_____________________________________________________________________________________________




execute if score game level matches 26.. run title @a actionbar ["",{"text":"Maximum amount of virtual blocks for this level is ","bold":true,"color":"black"},{"score":{"name":"game","objective":"maxblocks"},"bold":true,"color":"black"}]
spawnpoint @a 0 127 0





